#
# spec file for package libnetfilter_acct
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnetfilter_acct
%define lname	%{name}1
Version:        1.0.3
Release:        lp150.1.3
Summary:        Userspace library for the in-kernel Netfilter counters
License:        LGPL-2.1+
Group:          Productivity/Networking/Security
Url:            http://netfilter.org/projects/libnetfilter_acct/

#Git-Clone:	git://git.netfilter.org/libnetfilter_acct
Source:         ftp://ftp.netfilter.org/pub/libnetfilter_acct/%name-%version.tar.bz2
Source2:        ftp://ftp.netfilter.org/pub/libnetfilter_acct/%name-%version.tar.bz2.sig
Source3:        baselibs.conf
Source4:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkgconfig >= 0.21
BuildRequires:  pkgconfig(libmnl) >= 1.0.0

%description
This library provides the programming interface (API) to the
Netfilter extended accounting infrastructure.

%package -n %lname
Summary:        Userspace library for the in-kernel Netfilter counters
Group:          System/Libraries

%description -n %lname
This library provides the programming interface (API) to the
Netfilter extended accounting infrastructure.

%package devel
Requires:       %lname = %version
Summary:        Userspace library for the in-kernel Netfilter counters
Group:          Development/Libraries/C and C++

%description devel
This library provides the programming interface (API) to the
Netfilter extended accounting infrastructure.

%prep
%setup -q

%build
%configure --disable-static --includedir="%_includedir/%name"
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libnetfilter_acct.so.1*

%files devel
%defattr(-,root,root)
%_includedir/%name/
%_libdir/libnetfilter_acct.so
%_libdir/pkgconfig/libnetfilter_acct.pc

%changelog
* Mon Aug 22 2016 jengelh@inai.de
- Update to new upstream release 1.0.3
  * add JSON output format
  * Extend accounting capabilities to support quotas
* Mon Dec  8 2014 jengelh@inai.de
- Drop %%version from subincludedir, it tends to break recompiles of
  already-built trees on library updates.
* Tue Sep 23 2014 jengelh@inai.de
- Drop gpg-offline build-time requirement; this is now handled by
  the local source validator
* Mon Mar  4 2013 jengelh@inai.de
- Update to new upstream release 1.0.2
  * This release fixes inversions between byte and packet counters.
- Drop rhel5-patch1.diff, rhel5-patch2.diff (merged upstream)
* Wed Nov 28 2012 sbrabec@suse.cz
- Verify GPG signature
* Mon Oct  8 2012 jengelh@inai.de
- Update to new upstream release 1.0.1
  * This release adds the new flag NFACCT_SNPRINTF_T_XML for
  nfacct_snprintf and several cleanups.
* Tue Mar 27 2012 jengelh@medozas.de
- Update to new upstream release 1.0.0
  * nfacct: change prototype of nfacct_snprintf() to support output
  in XML
  * nfacct: check if attribute is set in nfacct_attr_get*
* Thu Dec 29 2011 jengelh@medozas.de
- Initial package for build.opensuse.org
